com.amazonaws.services.lambda.invoke

## Class LambdaInvokerFactoryConfig

- java.lang.Object
- - com.amazonaws.services.lambda.invoke.LambdaInvokerFactoryConfig

Deprecated.
Use `LambdaInvokerFactory.builder()` to configure invoker factory.

    @Deprecated
    public class LambdaInvokerFactoryConfig
    extends Object

Configuration for `LambdaInvokerFactory` to override default behavior.

### Constructor Summary

Constructors
Constructor and Description
`LambdaInvokerFactoryConfig()` Deprecated. Use `LambdaInvokerFactory.builder()` to configure invoker factory.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getFunctionAlias()` Deprecated.
`String` `getFunctionVersion()` Deprecated.
`LambdaFunctionNameResolver` `getLambdaFunctionNameResolver()` Deprecated.
`LambdaInvokerFactoryConfig` `withLambdaFunctionNameResolver(LambdaFunctionNameResolver functionNameResolver)` Deprecated. Use `LambdaInvokerFactory.builder()` to configure invoker factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LambdaInvokerFactoryConfig

    @Deprecated
    public LambdaInvokerFactoryConfig()

Deprecated. Use `LambdaInvokerFactory.builder()` to configure invoker factory.

### Method Detail

#### getLambdaFunctionNameResolver

    public LambdaFunctionNameResolver getLambdaFunctionNameResolver()

Deprecated.

#### getFunctionAlias

    public String getFunctionAlias()

Deprecated.

#### getFunctionVersion

    public String getFunctionVersion()

Deprecated.

#### withLambdaFunctionNameResolver

    @Deprecated
    public LambdaInvokerFactoryConfig withLambdaFunctionNameResolver(LambdaFunctionNameResolver functionNameResolver)

Deprecated. Use `LambdaInvokerFactory.builder()` to configure invoker factory.
Sets a new Function name resolver to override the default behavior.

Parameters:
  `functionNameResolver` - Implementation of `LambdaFunctionNameResolver`
Returns:
  The current object for method chaining